# 编译
FROM maven:3.8-openjdk-8
COPY . /build/
WORKDIR /build
RUN mvn package
# 运行阶段
FROM openjdk:8-jdk-alpine
# 从编译阶段的中拷贝编译结果到当前镜像中
COPY --from=0 /build/target/lingnul-0.0.1-SNAPSHOT.jar /work/lingnul-0.0.1-SNAPSHOT.jar
WORKDIR /work
ENTRYPOINT ["java","-jar","lingnul-0.0.1-SNAPSHOT.jar","--spring.profiles.active=test"]
